summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leo C <leoc@gmx.com>2018-01-21 07:28:17 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-27 07:43:46 +0700
commita232cb8784ce8850350ac137c1f1ebd18d932795 (patch)
tree2ee29a034d50b9f4bdd0c31edbb267fda4e81723 /desktop
parent349d26f5d4bd736e6b8c0b28a1bd4a8895431523 (diff)
downloadslackbuilds-a232cb8784ce8850350ac137c1f1ebd18d932795.tar.gz
slackbuilds-a232cb8784ce8850350ac137c1f1ebd18d932795.tar.xz
desktop/kupfer: Added (a smart, quick launcher).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kupfer/README7
-rw-r--r--desktop/kupfer/doinst.sh13
-rw-r--r--desktop/kupfer/kupfer.SlackBuild72
-rw-r--r--desktop/kupfer/kupfer.info10
-rw-r--r--desktop/kupfer/slack-desc19
5 files changed, 121 insertions, 0 deletions
diff --git a/desktop/kupfer/README b/desktop/kupfer/README
new file mode 100644
index 0000000000..feaae6e8dd
--- /dev/null
+++ b/desktop/kupfer/README
@@ -0,0 +1,7 @@
+Kupfer is an interface for quick and convenient access to applications
+and their documents.
+
+Notes:
+- required package pyxdg must have been built with python3 for this to
+ work
+- viewing help pages requires yelp (optional dependency)
diff --git a/desktop/kupfer/doinst.sh b/desktop/kupfer/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/desktop/kupfer/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/kupfer/kupfer.SlackBuild b/desktop/kupfer/kupfer.SlackBuild
new file mode 100644
index 0000000000..8c8c0f2317
--- /dev/null
+++ b/desktop/kupfer/kupfer.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for kupfer
+
+# Copyright 2018 Leonardo Citrolo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kupfer
+VERSION=${VERSION:-v319}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./waf configure \
+ --prefix=/usr \
+ --mandir=/usr/man
+./waf build
+./waf install --destdir=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cd Documentation
+sed -i 's/rst2html5 /rst2html5.py /' Makefile
+make
+cp -a *.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/kupfer/kupfer.info b/desktop/kupfer/kupfer.info
new file mode 100644
index 0000000000..159866a35f
--- /dev/null
+++ b/desktop/kupfer/kupfer.info
@@ -0,0 +1,10 @@
+PRGNAM="kupfer"
+VERSION="v319"
+HOMEPAGE="https://kupferlauncher.github.io/"
+DOWNLOAD="https://github.com/kupferlauncher/kupfer/releases/download/v319/kupfer-v319.tar.xz"
+MD5SUM="e4e383f654257b8fa2f3e7c590c135f9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dbus-python3 docutils pygobject3-python3 pyxdg"
+MAINTAINER="Leo C."
+EMAIL="leoc@gmx.com"
diff --git a/desktop/kupfer/slack-desc b/desktop/kupfer/slack-desc
new file mode 100644
index 0000000000..5cba0d7762
--- /dev/null
+++ b/desktop/kupfer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kupfer: kupfer (a smart, quick launcher)
+kupfer:
+kupfer: Kupfer is an interface for quick and convenient access to applications
+kupfer: and their documents.
+kupfer:
+kupfer:
+kupfer:
+kupfer:
+kupfer:
+kupfer: Homepage: https://kupferlauncher.github.io/
+kupfer: